<?php require_once('Connections/conn.php'); ?>
<?php
 session_start();
  // Captura la datos del usuario que se logueó (Cédula, Tipo de Usuario y Username).
  $cedula_usuario=$_SESSION['CEDULA_USUARIO'];
  $username=$_SESSION['MM_Username'];
  $tipo_usuario=$_SESSION['PRIVILEGIO']; 
 
  mysql_select_db("siga_pregrado");
  mysql_query ("SET NAMES 'utf8'"); 
  $sql = "select apellidos,nombres from usuarios where cedula='$cedula_usuario'";
  $rs=mysql_query($sql,$conn);
  $row=mysql_fetch_array($rs);
  $intruso=$row['apellidos'].', '.$row['nombres'];

  if (!isset($_SESSION['MM_Username']) || $_SESSION['MM_Username']=="") {
      // Registra el acceso indebido.
		$consulta=addslashes($sql);
  		$fecha=date("Y-m-d G:i:A");
  		$accion="Intento de acceso sin iniciar sesión.";
  		$script="periodos.php";
  		$ip=obtener_ip();
  		$sql1 = "insert into `intrusos` (`username`, `tipo_usuario`,`cedula`, `ip`, `fecha`, `accion`, `script`) values ('$username', '$tipo_usuario', '$cedula_usuario', '$ip', '$fecha', '$accion', '$script')";
  		mysql_query($sql1, $conn) or die(mysql_error());
	    // Destruye la sessión.
	    session_destroy();
	    header ("Location: modulos/inicio/index.php");
	  }  

  if ($tipo_usuario!="1" && $tipo_usuario!="5" && $tipo_usuario!="10") {
        // Registra el acceso indebido.
		$consulta=addslashes($sql);
  		$fecha=date("Y-m-d G:i:A");
  		$accion="Intento de Acceso indebido";
  		$script="periodos.php";
  		$ip=obtener_ip();
  		$sql1 = "insert into `intrusos` (`username`, `tipo_usuario`,`cedula`, `ip`, `fecha`, `accion`, `script`) values ('$username', '$tipo_usuario', '$cedula_usuario', '$ip', '$fecha', '$accion', '$script')";
  		mysql_query($sql1, $conn) or die(mysql_error());
        // Destruye la sesión.
		session_destroy();
        $inicial = "salida_intruso.php?intruso=$intruso";
        header(sprintf("Location: %s", $inicial));
  }  
	  
   if ( @$_POST["sql"]=="insert"){
      $filterfield="codigo";
	  $filter=@$_POST["xannio"].'-'.@$_POST["nr"];
	  }	  
	  
  if (isset($_GET["order"])) $order = @$_GET["order"];
  if (isset($_GET["type"])) $ordtype = @$_GET["type"];

  if (isset($_POST["filter"])) $filter = @$_POST["filter"];
  if (isset($_POST["filter_field"])) $filterfield = @$_POST["filter_field"];
  $wholeonly = false;
  if (isset($_POST["wholeonly"])) $wholeonly = @$_POST["wholeonly"];

  if (!isset($order) && isset($_SESSION["order"])) $order = $_SESSION["order"];
  if (!isset($ordtype) && isset($_SESSION["type"])) $ordtype = $_SESSION["type"];
  if (!isset($filter) && isset($_SESSION["filter"])) $filter = $_SESSION["filter"];
  if (!isset($filterfield) && isset($_SESSION["filter_field"])) $filterfield = $_SESSION["filter_field"];

?>

<html>
<head>
<title>sadce -- periodos</title>
<meta name="generator" http-equiv="content-type" content="text/html">
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<style type="text/css">
  body {
    background-color: #FFFFFF;
    color: #004080;
    font-family: Arial;
    font-size: 12px;
  }
  .bd {
    background-color: #FFFFFF;
    color: #004080;
    font-family: Arial;
    font-size: 12px;
  }
   .bd1 {
    background-color: #FFFFFF;
	color:#FF0000;
    font-family: Arial;
    font-size: 16px;
  }
  .tbl {
    background-color: #FFFFFF;
  }
  a:link { 
    color: #FF0000;
    font-family: Arial;
    font-size: 12px;
  }
  a:active { 
    color: #0000FF;
    font-family: Arial;
    font-size: 12px;
  }
  a:visited { 
    color: #800080;
    font-family: Arial;
    font-size: 12px;
  }
  .hr {
    background-color: #336699;
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:link {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:active {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:visited {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  .dr {
    background-color: #FFFFFF;
    color: #000000;
    font-family: Arial;
    font-size: 12px;
  }
  .sr {
    background-color: #FFFFCF;
    color: #000000;
    font-family: Arial;
    font-size: 12px;
  }
</style>

<script src="jquery.min.js" type="text/javascript"></script>


</head>

<body>
<table class="bd" width="100%"><tr><td class="hr"><h2>Gesti&oacute;n de Lapsos Acad&eacute;micos</h2></td></tr></table>
<?php
  require_once('Connections/conn.php');
  mysql_select_db("siga_pregrado");
  mysql_query ("SET NAMES 'utf8'");
  
  $showrecs = 100;
  $pagerange = 10;

  $a = @$_GET["a"];
  $recid = @$_GET["recid"];
  $page = @$_GET["page"];
  if (!isset($page)) $page = 1;

  $sql = @$_POST["sql"];

  switch ($sql) {
    case "insert":
      sql_insert();
      break;
    case "update":
      sql_update();
      break;
    case "delete":
      sql_delete();
      break;
  }

  switch ($a) {
    case "add":
      addrec();
      break;
    case "view":
      viewrec($recid);
      break;
    case "edit":
      editrec($recid);
      break;
    case "del":
      deleterec($recid);
      break;
    default:
      select();
      break;
  }

  if (isset($order)) $_SESSION["order"] = $order;
  if (isset($ordtype)) $_SESSION["type"] = $ordtype;
  if (isset($filter)) $_SESSION["filter"] = $filter;
  if (isset($filterfield)) $_SESSION["filter_field"] = $filterfield;
  if (isset($wholeonly)) $_SESSION["wholeonly"] = $wholeonly;

  mysql_close($conn);
?>
<table class="bd" width="100%"><tr><td class="hr"></td></tr></table>
</body>
</html>

<?php
 function select()
  {
  global $a;
  global $showrecs;
  global $page;
  global $filter;
  global $filterfield;
  global $wholeonly;
  global $order;
  global $ordtype;


  if ($a == "reset") {
    $filter = "";
    $filterfield = "";
    $wholeonly = "";
    $order = "";
    $ordtype = "";
  }

  $checkstr = "";
  if ($wholeonly) $checkstr = " checked";
  if ($ordtype == "asc") { $ordtypestr = "desc"; } else { $ordtypestr = "asc"; }
  $res = sql_select();
  $count = sql_getrecordcount();
  if ($count % $showrecs != 0) {
    $pagecount = intval($count / $showrecs) + 1;
  }
  else {
    $pagecount = intval($count / $showrecs);
  }
  $startrec = $showrecs * ($page - 1);
  if ($startrec < $count) {mysql_data_seek($res, $startrec);}
  $reccount = min($showrecs * $page, $count);
?>
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr><td>Número de Lapsos:&nbsp;<?php echo $startrec + 1 ?> - <?php echo $reccount ?> de <?php echo $count ?></td></tr>
</table>
<hr size="1" noshade>
<form action="periodos.php" method="post">
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr>
<td><b>Filtrar por</b>&nbsp;</td>
<td><input type="text" name="filter" value="<?php echo $filter ?>"></td>
<td><select name="filter_field">
<option value="">Todos los campos</option>
<option value="<?php echo "id_periodo" ?>"<?php if ($filterfield == "id_periodo") { echo "selected"; } ?>><?php echo htmlspecialchars("Número") ?></option>
<option value="<?php echo "codigo" ?>"<?php if ($filterfield == "codigo") { echo "selected"; } ?>><?php echo htmlspecialchars("Descripción") ?></option>
<option value="<?php echo "annio" ?>"<?php if ($filterfield == "annio") { echo "selected"; } ?>><?php echo htmlspecialchars("Año") ?></option>
<option value="<?php echo "tipo" ?>"<?php if ($filterfield == "tipo") { echo "selected"; } ?>><?php echo htmlspecialchars("Tipo") ?></option>
<option value="<?php echo "status" ?>"<?php if ($filterfield == "status") { echo "selected"; } ?>><?php echo htmlspecialchars("Status") ?></option>
</select></td>
<td><input type="checkbox" name="wholeonly"<?php echo $checkstr ?>>Palabra Completa</td>
</td></tr>
<tr>
<td>&nbsp;</td>
<td><input type="submit" name="action" value="Aplicar Filtro"></td>
<td><a href="periodos.php?a=reset">Quitar Filtro</a></td>
</tr>
</table>
</form>
<hr size="1" noshade>
<?php showpagenav($page, $pagecount); ?>
<br>
<table class="tbl" border="0" cellspacing="1" cellpadding="3" width="100%">
<tr>
<td class="hr" align="center">Ver</td>
<td class="hr" align="center"><a class="hr" href="periodos.php?order=<?php echo "id_periodo" ?>&type=<?php echo $ordtypestr ?>">&nbsp;N&ordm;&nbsp;</a></td>
<td class="hr" align="center"><a class="hr" href="periodos.php?order=<?php echo "codigo" ?>&type=<?php echo $ordtypestr ?>">&nbsp;Descripci&oacute;n&nbsp;</a></td>
<td class="hr" align="center"><a class="hr" href="periodos.php?order=<?php echo "tipo" ?>&type=<?php echo $ordtypestr ?>"><?php echo htmlspecialchars("Tipo") ?></a></td>
<td class="hr" align="center"><a class="hr" href="periodos.php?order=<?php echo "mes_inicio" ?>&type=<?php echo $ordtypestr ?>"><?php echo htmlspecialchars("Mes Inicio") ?></a></td>
<td class="hr" align="center"><a class="hr" href="periodos.php?order=<?php echo "mes_fin" ?>&type=<?php echo $ordtypestr ?>">Mes de Finalizaci&oacute;n</a></td>
<td class="hr" align="center"><a class="hr" href="periodos.php?order=<?php echo "fecha_ini" ?>&type=<?php echo $ordtypestr ?>"><?php echo htmlspecialchars("Fecha de Inicio") ?></a></td>
<td class="hr" align="center"><a class="hr" href="periodos.php?order=<?php echo "fecha_fin" ?>&type=<?php echo $ordtypestr ?>"><?php echo htmlspecialchars("Fecha Finalización") ?></a></td>

<td class="hr" align="center"><a class="hr" href="periodos.php?order=<?php echo "status" ?>&type=<?php echo $ordtypestr ?>"><?php echo htmlspecialchars("Status") ?></a></td>
</tr>
<?php
  for ($i = $startrec; $i < $reccount; $i++)
  {
    $row = mysql_fetch_assoc($res);
    $style = "dr";
    if ($i % 2 != 0) {
      $style = "sr";
    }
?>
<tr>
<td class="<?php echo $style ?>" align="center"><a href="periodos.php?a=view&recid=<?php echo $i ?>"><img src="imagenes/search.gif" border="0"> </a></td>

<td class="<?php echo $style ?>" align="center"><?php echo htmlspecialchars($row["id_periodo"]) ?></td>
<td class="<?php echo $style ?>" align="right"><?php echo htmlspecialchars($row["codigo"]) ?></td>
<td class="<?php echo $style ?>" align="left"><?php echo htmlspecialchars($row["tipo"]) ?></td>
<td class="<?php echo $style ?>" align="left">&nbsp;&nbsp;<?php echo htmlspecialchars($row["mes_inicio"]) ?></td>
<td class="<?php echo $style ?>" align="left"><?php echo htmlspecialchars($row["mes_fin"]) ?></td>
<td class="<?php echo $style ?>" align="center"><?php echo htmlspecialchars(join ("-",(array_reverse(explode("-",$row["fecha_ini"]))))) ?></td>
<td class="<?php echo $style ?>" align="center"><?php echo htmlspecialchars(join ("-",(array_reverse(explode("-",$row["fecha_fin"]))))) ?></td>
<td class="<?php echo $style ?>" align="center"><?php echo htmlspecialchars($row["status"]) ?></td>
</tr>
<?php
  }
  mysql_free_result($res);
?>
</table>
<br>
<?php showpagenav($page, $pagecount); ?>
<?php } ?>

<?php function showrow($row, $recid)
  {
?>
<table class="tbl" border="0" cellspacing="1" cellpadding="5"width="40%">
<tr>
<td class="hr"><?php echo htmlspecialchars("Número del Lapso")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["id_periodo"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Descripción del Lapso")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["codigo"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Sede")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["sede"]) ?></td>
</tr>
<tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Tipo de Lapso")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["tipo"]) ?></td>
</tr>

<tr>
<td class="hr"><?php echo htmlspecialchars("Mes de Inicio")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["mes_inicio"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Mes de Finalización")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["mes_fin"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Fecha de Inicio")."&nbsp;" ?></td>
<td class="dr"><?php echo join ("-",(array_reverse(explode("-",$row["fecha_ini"])))) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Fecha de Finalización")."&nbsp;" ?></td>
<td class="dr"><?php echo join ("-",(array_reverse(explode("-",$row["fecha_fin"])))) ?></td>
</tr>

<tr>
<td class="hr"><?php echo htmlspecialchars("Inicio Inscripciones Componente General")."&nbsp;" ?></td>
<td class="dr"><?php echo join ("-",(array_reverse(explode("-",$row["fecha_ini_cg"])))) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Fin Inscripciones Componente General")."&nbsp;" ?></td>
<td class="dr"><?php echo join ("-",(array_reverse(explode("-",$row["fecha_fin_cg"])))) ?></td>
</tr>

<tr>
<td class="hr"><?php echo htmlspecialchars("Inicio Inscripciones Aduanas y Comercio Exterior")."&nbsp;" ?></td>
<td class="dr"><?php echo join ("-",(array_reverse(explode("-",$row["fecha_ini_ace"])))) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Fin Inscripciones Aduanas y Comercio Exterior")."&nbsp;" ?></td>
<td class="dr"><?php echo join ("-",(array_reverse(explode("-",$row["fecha_fin_ace"])))) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Inicio Inscripciones Finazas Pùblicas")."&nbsp;" ?></td>
<td class="dr"><?php echo join ("-",(array_reverse(explode("-",$row["fecha_ini_fp"])))) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Fin Inscripciones Finanzas Pùblicas")."&nbsp;" ?></td>
<td class="dr"><?php echo join ("-",(array_reverse(explode("-",$row["fecha_fin_fp"])))) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Inicio Inscripciones Rentas")."&nbsp;" ?></td>
<td class="dr"><?php echo join ("-",(array_reverse(explode("-",$row["fecha_ini_rt"])))) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Fin Inscripciones Rentas")."&nbsp;" ?></td>
<td class="dr"><?php echo join ("-",(array_reverse(explode("-",$row["fecha_fin_rt"])))) ?></td>
</tr>

<tr>
<td class="hr"><?php echo htmlspecialchars("Fecha Tope de Inscripciónes")."&nbsp;" ?></td>
<td class="dr"><?php echo join ("-",(array_reverse(explode("-",$row["fecha_tope_in"])))) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Fecha Tope para Retirar Materia")."&nbsp;" ?></td>
<td class="dr"><?php echo join ("-",(array_reverse(explode("-",$row["fecha_tope_rm"])))) ?></td>
</tr>

<tr>
<td class="hr"><?php echo htmlspecialchars("Fecha Tope para Carga del Corte 1")."&nbsp;" ?></td>
<td class="dr"><?php echo join ("-",(array_reverse(explode("-",$row["fecha_tope_corte1"])))) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Fecha Tope para Carga del Corte 2")."&nbsp;" ?></td>
<td class="dr"><?php echo join ("-",(array_reverse(explode("-",$row["fecha_tope_corte2"])))) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Fecha Tope para Carga del Corte 3")."&nbsp;" ?></td>
<td class="dr"><?php echo join ("-",(array_reverse(explode("-",$row["fecha_tope_corte4"])))) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Fecha Tope para Carga del Corte 4")."&nbsp;" ?></td>
<td class="dr"><?php echo join ("-",(array_reverse(explode("-",$row["fecha_tope_corte4"])))) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Fecha Tope para Retirar Semestre")."&nbsp;" ?></td>
<td class="dr"><?php echo join ("-",(array_reverse(explode("-",$row["fecha_tope_rs"])))) ?></td>
</tr>

<td class="hr"><?php echo htmlspecialchars("Año")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["annio"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Status")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["status"]) ?></td>
</tr>
</table>
<?php } ?>

<?php function showroweditor($row, $iseditmode)
{
  global $conn;
  //$conn=connect();
  
	mysql_select_db($database_conn, $conn);
	$query_rstSedes = "SELECT sedes.nombre_sede FROM sedes";
	$rstSedes = mysql_query($query_rstSedes, $conn) or die(mysql_error());
	$row_rstSedes = mysql_fetch_assoc($rstSedes);
	$totalRows_rstSedes = mysql_num_rows($rstSedes);
	
	$nombre_sede=$row['sede'];
	mysql_select_db($database_conn, $conn);
	$query_rstSedes1 = "SELECT sedes.nombre_sede FROM sedes WHERE nombre_sede='$nombre_sede'";
	$rstSedes1 = mysql_query($query_rstSedes1, $conn) or die(mysql_error());
	$row_rstSedes1 = mysql_fetch_assoc($rstSedes1);
	$totalRows_rstSedes1 = mysql_num_rows($rstSedes1);
	
	$cadena=$row["codigo"];
	
	$pos=strpos($cadena,"-");
	
	$xannio=substr($cadena,0,$pos);

	$xnr=substr($cadena,$pos+1,2);
    $codigo=$xannio.'-'.$nr; 
	
	$tipo_lapso=$row["tipo"];
	
	if($row["fecha_ini"]=='0000-00-00')$fecha_ini="";
	else $fecha_ini=trim(join ("-",(array_reverse(explode("-",$row["fecha_ini"])))));
	
	if($row["fecha_fin"]=='0000-00-00')$fecha_fin="";
	else $fecha_fin=trim(join ("-",(array_reverse(explode("-",$row["fecha_fin"])))));
	
	if($row["fecha_ini_cg"]=='0000-00-00')$fecha_ini_cg="";
	else $fecha_ini_cg=trim(join ("-",(array_reverse(explode("-",$row["fecha_ini_cg"])))));
	if($row["fecha_fin_cg"]=='0000-00-00')$fecha_fin_cg="";
	else $fecha_fin_cg=trim(join ("-",(array_reverse(explode("-",$row["fecha_fin_cg"])))));
	
	if($row["fecha_ini_ace"]=='0000-00-00')$fecha_ini_ace="";
	else $fecha_ini_ace=trim(join ("-",(array_reverse(explode("-",$row["fecha_ini_ace"])))));
	if($row["fecha_fin_ace"]=='0000-00-00')$fecha_fin_ace="";
	else $fecha_fin_ace=trim(join ("-",(array_reverse(explode("-",$row["fecha_fin_ace"])))));
	
	if($row["fecha_ini_fp"]=='0000-00-00')$fecha_ini_fp="";
	else $fecha_ini_fp=trim(join ("-",(array_reverse(explode("-",$row["fecha_ini_fp"])))));
	if($row["fecha_fin_fp"]=='0000-00-00')$fecha_fin_fp="";
	else $fecha_fin_fp=trim(join ("-",(array_reverse(explode("-",$row["fecha_fin_fp"])))));
	
	if($row["fecha_ini_rt"]=='0000-00-00')$fecha_ini_rt="";
	else $fecha_ini_rt=trim(join ("-",(array_reverse(explode("-",$row["fecha_ini_rt"])))));
	if($row["fecha_fin_rt"]=='0000-00-00')$fecha_fin_rt="";
	else $fecha_fin_rt=trim(join ("-",(array_reverse(explode("-",$row["fecha_fin_rt"])))));

	if($row["fecha_tope_in"]=='0000-00-00')$fecha_tope_in="";
	else $fecha_tope_in=trim(join ("-",(array_reverse(explode("-",$row["fecha_tope_in"])))));
	
	if($row["fecha_tope_rs"]=='0000-00-00')$fecha_tope_rs="";
	else $fecha_tope_rs=trim(join ("-",(array_reverse(explode("-",$row["fecha_tope_rs"])))));
	
	if($row["fecha_tope_rm"]=='0000-00-00')$fecha_tope_rm="";
	else $fecha_tope_rm=trim(join ("-",(array_reverse(explode("-",$row["fecha_tope_rm"])))));
	
	if($row["fecha_tope_corte1"]=='0000-00-00')$fecha_tope_corte1="";
	else $fecha_tope_corte1=trim(join ("-",(array_reverse(explode("-",$row["fecha_tope_corte1"])))));
	
	if($row["fecha_tope_corte2"]=='0000-00-00')$fecha_tope_corte2="";
	else $fecha_tope_corte2=trim(join ("-",(array_reverse(explode("-",$row["fecha_tope_corte2"])))));
	
	if($row["fecha_tope_corte3"]=='0000-00-00')$fecha_tope_corte3="";
	else $fecha_tope_corte3=trim(join ("-",(array_reverse(explode("-",$row["fecha_tope_corte3"])))));
	
	if($row["fecha_tope_corte4"]=='0000-00-00')$fecha_tope_corte4="";
	else $fecha_tope_corte4=trim(join ("-",(array_reverse(explode("-",$row["fecha_tope_corte4"])))));
	
	if($row["fecha_ini_pr"]=='0000-00-00')$fecha_ini_pr="";
	else $fecha_ini_pr=trim(join ("-",(array_reverse(explode("-",$row["fecha_ini_pr"])))));
	
	if($row["fecha_fin_pr"]=='0000-00-00')$fecha_fin_pr="";
	else $fecha_fin_pr=trim(join ("-",(array_reverse(explode("-",$row["fecha_fin_pr"])))));
?>

<script language='javascript' src="calendario/popcalendar.js"></script> 

<table class="tbl" border="0" cellspacing="1" cellpadding="5"width="90%">

<tr>
<td class="hr"><?php echo htmlspecialchars("Número del Lapso")."&nbsp;" ?></td>
<td class="bd1">
<?php echo $row['id_periodo'] ?>
</td>
<tr>

<tr>
<td class="hr"><?php echo htmlspecialchars("Descripción del Lapso")."&nbsp;" ?></td>
<td class="bd1">
<?php echo $cadena ?>
</td>
<tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Sede")."&nbsp;" ?></td>
<td class="dr">
<select name="sede">
  <option value="CARACAS">CARACAS</option>
  </select>
</td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Tipo de Lapso")."&nbsp;" ?></td>
<td class="dr">
<select name="tipo">
    <option value="<?php echo $row['tipo']?>"><?php echo $row['tipo']?></option>
    <option value="REGULAR">REGULAR</option>
    <option value="INTENSIVO">INTENSIVO</option>
	<option value="CIU">CIU</option>
</select>
</td>
</tr>

<td class="hr"><?php echo htmlspecialchars("Mes de Inicio")."&nbsp;" ?></td>
<td class="dr">
<select name="mes_inicio">
  <option value="<?php echo $row['mes_inicio']?>"><?php echo $row['mes_inicio']?></option>
  <option value="ENERO">ENERO</option>
  <option value="FEBRERO">FEBRERO</option>
  <option value="MARZO">MARZO</option>
  <option value="ABRIL">ABRIL</option>
  <option value="MAYO">MAYO</option>
  <option value="JUNIO">JUNIO</option>
  <option value="JULIO">JULIO</option>
  <option value="AGOSTO">AGOSTO</option>
  <option value="SEPTIEMBRE">SEPTIEMBRE</option>
  <option value="OCTUBRE">OCTUBRE</option>
  <option value="NOVIEMBRE">NOVIEMBRE</option>
  <option value="DICIEMBRE">DICIEMBRE</option>
</select>
</td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Mes de Finalización")."&nbsp;" ?></td>
<td class="dr">
<select name="mes_fin">
  <option value="<?php echo $row['mes_fin']?>"><?php echo $row['mes_fin']?></option>
  <option value="ENERO">ENERO</option>
  <option value="FEBRERO">FEBRERO</option>
  <option value="MARZO">MARZO</option>
  <option value="ABRIL">ABRIL</option>
  <option value="MAYO">MAYO</option>
  <option value="JUNIO">JUNIO</option>
  <option value="JULIO">JULIO</option>
  <option value="AGOSTO">AGOSTO</option>
  <option value="SEPTIEMBRE">SEPTIEMBRE</option>
  <option value="OCTUBRE">OCTUBRE</option>
  <option value="NOVIEMBRE">NOVIEMBRE</option>
  <option value="DICIEMBRE">DICIEMBRE</option>
</select>
</td>
</tr>

<tr>
<td class="hr"><?php echo htmlspecialchars("Fecha de Inicio (*)")."&nbsp;" ?></td>
<td class="dr">
      <input readonly="true" name="fecha_ini" type="text" id="fecha_ini" value="<?php echo $fecha_ini ?>" onClick="popUpCalendar(this, edit_periodo.fecha_ini, 'dd-mm-yyyy');" size="10">&nbsp;&nbsp;(dd-mm-aaaa)
</td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Fecha de Finalización (*)")."&nbsp;" ?></td>
<td class="dr">
       <input readonly="true" name="fecha_fin" type="text" id="fecha_fin" value="<?php echo $fecha_fin ?>" onClick="popUpCalendar(this, edit_periodo.fecha_fin, 'dd-mm-yyyy');" size="10">&nbsp;&nbsp;(dd-mm-aaaa)
</td>
</tr>

<tr>
<td class="hr"><?php echo htmlspecialchars("Inscripciones del Componente General")."&nbsp;" ?></td>
<td class="dr">&nbsp;Del&nbsp;
       <input readonly="true" name="fecha_ini_cg" type="text" id="fecha_ini_cg" value="<?php echo $fecha_ini_cg ?>" onClick="popUpCalendar(this, edit_periodo.fecha_ini_cg, 'dd-mm-yyyy');" size="10">&nbsp;&nbsp;Al&nbsp;&nbsp;<input readonly="true" name="fecha_fin_cg" type="text" id="fecha_fin_cg" value="<?php echo $fecha_fin_cg ?>" onClick="popUpCalendar(this, edit_periodo.fecha_fin_cg, 'dd-mm-yyyy');" size="10">&nbsp;&nbsp;(dd-mm-aaaa)
</td>
</tr>

<tr>
<td class="hr"><?php echo htmlspecialchars("Inscripciones de Aduanas y Comercio Exterior")."&nbsp;" ?></td>
<td class="dr">&nbsp;Del&nbsp;
       <input readonly="true" name="fecha_ini_ace" type="text" id="fecha_ini_ace" value="<?php echo $fecha_ini_ace ?>" onClick="popUpCalendar(this, edit_periodo.fecha_ini_ace, 'dd-mm-yyyy');" size="10">&nbsp;&nbsp;Al&nbsp;&nbsp;<input readonly="true" name="fecha_fin_ace" type="text" id="fecha_fin_ace" value="<?php echo $fecha_fin_ace ?>" onClick="popUpCalendar(this, edit_periodo.fecha_fin_ace, 'dd-mm-yyyy');" size="10">&nbsp;&nbsp;(dd-mm-aaaa)
</td>
</tr>

<tr>
<td class="hr"><?php echo htmlspecialchars("Inscripciones de Finanzas Públicas")."&nbsp;" ?></td>
<td class="dr">&nbsp;Del&nbsp;
       <input readonly="true" name="fecha_ini_fp" type="text" id="fecha_ini_fp" value="<?php echo $fecha_ini_fp ?>" onClick="popUpCalendar(this, edit_periodo.fecha_ini_fp, 'dd-mm-yyyy');" size="10">&nbsp;&nbsp;Al&nbsp;&nbsp;<input readonly="true" name="fecha_fin_fp" type="text" id="fecha_fin_fp" value="<?php echo $fecha_fin_fp ?>" onClick="popUpCalendar(this, edit_periodo.fecha_fin_fp, 'dd-mm-yyyy');" size="10">&nbsp;&nbsp;(dd-mm-aaaa)
</td>
</tr>


<tr>
<td class="hr" ><?php echo htmlspecialchars("Inscripciones de Rentas")."&nbsp;" ?></td>
<td class="dr">&nbsp;Del&nbsp;
       <input readonly="true" name="fecha_ini_rt" type="text" id="fecha_ini_rt" value="<?php echo $fecha_ini_rt ?>" onClick="popUpCalendar(this, edit_periodo.fecha_ini_rt, 'dd-mm-yyyy');" size="10">&nbsp;&nbsp;Al&nbsp;&nbsp;<input readonly="true" name="fecha_fin_rt" type="text" id="fecha_fin_rt" value="<?php echo $fecha_fin_rt ?>" onClick="popUpCalendar(this, edit_periodo.fecha_fin_rt, 'dd-mm-yyyy');" size="10">&nbsp;&nbsp;(dd-mm-aaaa)
</td>
</tr>


<tr>
<td class="hr"><?php echo htmlspecialchars("Fecha Tope para Retirar Materias")."&nbsp;" ?></td>
<td class="dr">
       <input readonly="true" name="fecha_tope_rm" type="text" id="fecha_tope_rm" value="<?php echo $fecha_tope_rm ?>" onClick="popUpCalendar(this, edit_periodo.fecha_tope_rm, 'dd-mm-yyyy');" size="10">&nbsp;&nbsp;(dd-mm-aaaa)
</td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Fecha Tope Retiro Semestre")."&nbsp;" ?></td>
<td class="dr">
      <input readonly="true" name="fecha_tope_rs" type="text" id="fecha_tope_rs" value="<?php echo $fecha_tope_rs ?>" onClick="popUpCalendar(this, edit_periodo.fecha_tope_rs, 'dd-mm-yyyy');" size="10">&nbsp;&nbsp;(dd-mm-aaaa)
</td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Fecha Tope para Carga del Corte 1")."&nbsp;" ?></td>
<td class="dr">
      <input readonly="true" name="fecha_tope_corte1" type="text" id="fecha_tope_corte1" value="<?php echo $fecha_tope_corte1 ?>" onClick="popUpCalendar(this, edit_periodo.fecha_tope_corte1, 'dd-mm-yyyy');" size="10">&nbsp;&nbsp;(dd-mm-aaaa)
</td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Fecha Tope para Carga del Corte 2")."&nbsp;" ?></td>
<td class="dr">
      <input readonly="true" name="fecha_tope_corte2" type="text" id="fecha_tope_corte2" value="<?php echo $fecha_tope_corte2 ?>" onClick="popUpCalendar(this, edit_periodo.fecha_tope_corte2, 'dd-mm-yyyy');" size="10">&nbsp;&nbsp;(dd-mm-aaaa)
</td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Fecha Tope para Carga del Corte 3")."&nbsp;" ?></td>
<td class="dr">
      <input readonly="true" name="fecha_tope_corte3" type="text" id="fecha_tope_corte3" value="<?php echo $fecha_tope_corte3 ?>" onClick="popUpCalendar(this, edit_periodo.fecha_tope_corte3, 'dd-mm-yyyy');" size="10">&nbsp;&nbsp;(dd-mm-aaaa)
</td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Fecha Tope para Carga del Corte 4")."&nbsp;" ?></td>
<td class="dr">
      <input readonly="true" name="fecha_tope_corte4" type="text" id="fecha_tope_corte4" value="<?php echo $fecha_tope_corte4 ?>" onClick="popUpCalendar(this, edit_periodo.fecha_tope_corte4, 'dd-mm-yyyy');" size="10">&nbsp;&nbsp;(dd-mm-aaaa)
</td>
</tr>

<tr>
<td class="hr"><?php echo htmlspecialchars("Carga de la Prueba de Recuperación")."&nbsp;" ?></td>
<td class="dr">&nbsp;Del&nbsp;
      <input readonly="true" name="fecha_ini_pr" type="text" id="fecha_ini_pr" value="<?php echo $fecha_ini_pr ?>" onClick="popUpCalendar(this, edit_periodo.fecha_ini_pr, 'dd-mm-yyyy');" size="10">&nbsp;&nbsp;Al&nbsp;&nbsp;<input readonly="true" name="fecha_fin_pr" type="text" id="fecha_fin_pr" value="<?php echo $fecha_fin_pr ?>" onClick="popUpCalendar(this, edit_periodo.fecha_fin_pr, 'dd-mm-yyyy');" size="10">&nbsp;&nbsp;(dd-mm-aaaa)
</td>
</tr>

<tr>
<td class="hr"><?php echo htmlspecialchars("Año")."&nbsp;" ?></td>
<td class="dr"><input name="annio" type="text" value="<?php echo str_replace('"', '&quot;', trim($row["annio"])) ?>" size="4" maxlength="4"></td>
</tr>

<tr>
<td class="hr"><?php echo htmlspecialchars("Status")."&nbsp;" ?></td>
<td class="dr">
<select name="status">
  <option value="<?php echo $row['status']?>"><?php echo $row['status']?></option>
  <option value="ABIERTO">ABIERTO</option>
  <option value="CERRADO">CERRADO</option>
</select>
</td>
</tr>
</table>
<?php 
mysql_free_result($rstSedes);
} ?>


<?php function showrowadd($row, $iseditmode)
  {
  global $conn;
  //$conn=connect();
  
	mysql_select_db($database_conn, $conn);
	$query_rstSedes = "SELECT sedes.nombre_sede FROM sedes";
	$rstSedes = mysql_query($query_rstSedes, $conn) or die(mysql_error());
	$row_rstSedes = mysql_fetch_assoc($rstSedes);
	$totalRows_rstSedes = mysql_num_rows($rstSedes);
?>
<script language='javascript' src="calendario/popcalendar.js"></script> 

<table class="tbl" border="0" cellspacing="1" cellpadding="5"width="100%">
<tr>
<td class="hr"><?php echo htmlspecialchars("Sede (*)")."&nbsp;" ?></td>
<td class="dr">
<select name="sede">
  <option value="14-01">CARACAS-LOS RUICES</option>
  </select>
</td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Tipo de Lapso (*)")."&nbsp;" ?></td>
<td class="dr">
<select name="tipo" id="tipo">
    <option value="0">Seleccione...</option>
    <option value="REGULAR">REGULAR</option>
    <option value="INTENSIVO">INTENSIVO</option>
	<option value="CIU">CIU</option>
</select>
</td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Descripción del Lapso (*)")."&nbsp;" ?></td>
<td class="dr">
<select name="nr" id="nr">
  <option value="I">I</option>
  <option value="II">II</option>
  <option value="III">III</option>
  <option value="IV">IV</option>
  <option value="V">V</option>
  <option value="VI">VI</option>
</select>
<input name="xannio" type="text" value="<?php echo str_replace('"', '&quot;', trim($row["xannio"])) ?>" size="4" maxlength="4" onBlur="verificar_periodo(document.addPeriodo.tipo.value,document.addPeriodo.nr.value,document.addPeriodo.letra.value,this.value)" onKeyPress="return soloNum(event)"> <iframe name="framePeriodo" id="framePeriodo" with="0" height="0" frameborder="0"></iframe>
</td>
<tr>
<td class="hr"><?php echo htmlspecialchars("Mes de Inicio (*)")."&nbsp;" ?></td>
<td class="dr">
<select name="mes_inicio">
  <option value="0">Seleccione...</option>
  <option value="ENERO">ENERO</option>
  <option value="FEBRERO">FEBRERO</option>
  <option value="MARZO">MARZO</option>
  <option value="ABRIL">ABRIL</option>
  <option value="MAYO">MAYO</option>
  <option value="JUNIO">JUNIO</option>
  <option value="JULIO">JULIO</option>
  <option value="AGOSTO">AGOSTO</option>
  <option value="SEPTIEMBRE">SEPTIEMBRE</option>
  <option value="OCTUBRE">OCTUBRE</option>
  <option value="NOVIEMBRE">NOVIEMBRE</option>
  <option value="DICIEMBRE">DICIEMBRE</option>
</select>
</td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Mes de Finalización (*)")."&nbsp;" ?></td>
<td class="dr">
<select name="mes_fin">
  <option value="0">Seleccione...</option>
  <option value="ENERO">ENERO</option>
  <option value="FEBRERO">FEBRERO</option>
  <option value="MARZO">MARZO</option>
  <option value="ABRIL">ABRIL</option>
  <option value="MAYO">MAYO</option>
  <option value="JUNIO">JUNIO</option>
  <option value="JULIO">JULIO</option>
  <option value="AGOSTO">AGOSTO</option>
  <option value="SEPTIEMBRE">SEPTIEMBRE</option>
  <option value="OCTUBRE">OCTUBRE</option>
  <option value="NOVIEMBRE">NOVIEMBRE</option>
  <option value="DICIEMBRE">DICIEMBRE</option>
</select>
</td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Fecha de Inicio (*)")."&nbsp;" ?></td>
<td class="dr">
      <input readonly="true" name="fecha_ini" type="text" id="fecha_ini" value="<?php echo str_replace('"', '&quot;', trim($row["fecha_ini"])) ?>" onClick="popUpCalendar(this, addPeriodo.fecha_ini, 'dd-mm-yyyy');" size="10">&nbsp;&nbsp;(dd-mm-aaaa)
</td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Fecha de Finalización (*)")."&nbsp;" ?></td>
<td class="dr">
       <input readonly="true" name="fecha_fin" type="text" id="fecha_fin" value="<?php echo str_replace('"', '&quot;', trim($row["fecha_fin"])) ?>" onClick="popUpCalendar(this, addPeriodo.fecha_fin, 'dd-mm-yyyy');" size="10">&nbsp;&nbsp;(dd-mm-aaaa)
</td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Inicio Inscripciones Componente General")."&nbsp;" ?></td>
<td class="dr">
       <input readonly="true" name="fecha_ini_cg" type="text" id="fecha_ini_cg" value="<?php echo $fecha_ini_cg ?>" onClick="popUpCalendar(this, edit_periodo.fecha_ini_cg, 'dd-mm-yyyy');" size="10">&nbsp;&nbsp;(dd-mm-aaaa)
</td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Fin de Inscripciones Componente General")."&nbsp;" ?></td>
<td class="dr">
       <input readonly="true" name="fecha_fin_cg" type="text" id="fecha_fin_cg" value="<?php echo $fecha_fin_cg ?>" onClick="popUpCalendar(this, edit_periodo.fecha_fin_cg, 'dd-mm-yyyy');" size="10">&nbsp;&nbsp;(dd-mm-aaaa)
</td>
</tr>

<tr>
<td class="hr"><?php echo htmlspecialchars("Inicio Inscripciones Aduanas y Comercio Exterior")."&nbsp;" ?></td>
<td class="dr">
       <input readonly="true" name="fecha_ini_ace" type="text" id="fecha_ini_ace" value="<?php echo $fecha_ini_ace ?>" onClick="popUpCalendar(this, edit_periodo.fecha_ini_ace, 'dd-mm-yyyy');" size="10">&nbsp;&nbsp;(dd-mm-aaaa)
</td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Fin de Inscripciones Aduanas y Comercio Exterior")."&nbsp;" ?></td>
<td class="dr">
       <input readonly="true" name="fecha_fin_ace" type="text" id="fecha_fin_ace" value="<?php echo $fecha_fin_ace ?>" onClick="popUpCalendar(this, edit_periodo.fecha_fin_ace, 'dd-mm-yyyy');" size="10">&nbsp;&nbsp;(dd-mm-aaaa)
</td>
</tr>

<tr>
<td class="hr"><?php echo htmlspecialchars("Inicio Inscripciones Finanzas Pùblicas")."&nbsp;" ?></td>
<td class="dr">
       <input readonly="true" name="fecha_ini_fp" type="text" id="fecha_ini_fp" value="<?php echo $fecha_ini_fp ?>" onClick="popUpCalendar(this, edit_periodo.fecha_ini_fp, 'dd-mm-yyyy');" size="10">&nbsp;&nbsp;(dd-mm-aaaa)
</td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Fin de Inscripciones Finanzas Pùblicas")."&nbsp;" ?></td>
<td class="dr">
       <input readonly="true" name="fecha_fin_fp" type="text" id="fecha_fin_fp" value="<?php echo $fecha_fin_fp ?>" onClick="popUpCalendar(this, edit_periodo.fecha_fin_fp, 'dd-mm-yyyy');" size="10">&nbsp;&nbsp;(dd-mm-aaaa)
</td>
</tr>

<tr>
<td class="hr"><?php echo htmlspecialchars("Inicio Inscripciones Rentas")."&nbsp;" ?></td>
<td class="dr">
       <input readonly="true" name="fecha_ini_rt" type="text" id="fecha_ini_rt" value="<?php echo $fecha_ini_rt ?>" onClick="popUpCalendar(this, edit_periodo.fecha_ini_rt, 'dd-mm-yyyy');" size="10">&nbsp;&nbsp;(dd-mm-aaaa)
</td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Fin de Inscripciones Rentas")."&nbsp;" ?></td>
<td class="dr">
       <input readonly="true" name="fecha_fin_rt" type="text" id="fecha_fin_rt" value="<?php echo $fecha_fin_rt ?>" onClick="popUpCalendar(this, edit_periodo.fecha_fin_rt, 'dd-mm-yyyy');" size="10">&nbsp;&nbsp;(dd-mm-aaaa)
</td>
</tr>

<tr>
<td class="hr"><?php echo htmlspecialchars("Fecha Tope de Inscripciónes")."&nbsp;" ?></td>
<td class="dr">
       <input readonly="true" name="fecha_tope_in" type="text" id="fecha_tope_in" value="<?php echo str_replace('"', '&quot;', trim($row["fecha_tope_in"])) ?>" onClick="popUpCalendar(this, addPeriodo.fecha_tope_in, 'dd-mm-yyyy');" size="10">&nbsp;&nbsp;(dd-mm-aaaa)
</td>
<tr>
<td class="hr"><?php echo htmlspecialchars("Fecha Tope para Retirar Materias")."&nbsp;" ?></td>
<td class="dr">
       <input readonly="true" name="fecha_tope_rm" type="text" id="fecha_tope_rm" value="<?php echo str_replace('"', '&quot;', trim($row["fecha_tope_rm"])) ?>" onClick="popUpCalendar(this, addPeriodo.fecha_tope_rm, 'dd-mm-yyyy');" size="10">&nbsp;&nbsp;(dd-mm-aaaa)
</td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Fecha Tope Retiro Semestre")."&nbsp;" ?></td>
<td class="dr">
      <input readonly="true" name="fecha_tope_rs" type="text" id="fecha_tope_rs" value="<?php echo str_replace('"', '&quot;', trim($row["fecha_tope_rs"])) ?>" onClick="popUpCalendar(this, addPeriodo.fecha_tope_rs, 'dd-mm-yyyy');" size="10">&nbsp;&nbsp;(dd-mm-aaaa)
</td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Fecha Tope para Carga del Corte 1")."&nbsp;" ?></td>
<td class="dr">
      <input readonly="true" name="fecha_tope_corte1" type="text" id="fecha_tope_corte1" value="<?php echo str_replace('"', '&quot;', trim($row["fecha_tope_corte1"])) ?>" onClick="popUpCalendar(this, addPeriodo.fecha_tope_corte1, 'dd-mm-yyyy');" size="10">&nbsp;&nbsp;(dd-mm-aaaa)
</td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Fecha Tope para Carga del Corte 2")."&nbsp;" ?></td>
<td class="dr">
      <input readonly="true" name="fecha_tope_corte2" type="text" id="fecha_tope_corte2" value="<?php echo str_replace('"', '&quot;', trim($row["fecha_tope_corte2"])) ?>" onClick="popUpCalendar(this, addPeriodo.fecha_tope_corte2, 'dd-mm-yyyy');" size="10">&nbsp;&nbsp;(dd-mm-aaaa)
</td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Fecha Tope para Carga del Corte 3")."&nbsp;" ?></td>
<td class="dr">
      <input readonly="true" name="fecha_tope_corte3" type="text" id="fecha_tope_corte3" value="<?php echo str_replace('"', '&quot;', trim($row["fecha_tope_corte3"])) ?>" onClick="popUpCalendar(this, addPeriodo.fecha_tope_corte3, 'dd-mm-yyyy');" size="10">&nbsp;&nbsp;(dd-mm-aaaa)
</td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Fecha Tope para Carga del Corte 4")."&nbsp;" ?></td>
<td class="dr">
      <input readonly="true" name="fecha_tope_corte4" type="text" id="fecha_tope_corte4" value="<?php echo str_replace('"', '&quot;', trim($row["fecha_tope_corte4"])) ?>" onClick="popUpCalendar(this, addPeriodo.fecha_tope_corte4, 'dd-mm-yyyy');" size="10">&nbsp;&nbsp;(dd-mm-aaaa)
</td>
</tr>

<tr>
<td class="hr"><?php echo htmlspecialchars("Fecha Inicio Prueba de Recuperación")."&nbsp;" ?></td>
<td class="dr">
      <input readonly="true" name="fecha_ini_pr" type="text" id="fecha_ini_pr" value="<?php echo str_replace('"', '&quot;', trim($row["fecha_ini_pr"])) ?>" onClick="popUpCalendar(this, addPeriodo.fecha_ini_pr, 'dd-mm-yyyy');" size="10">&nbsp;&nbsp;(dd-mm-aaaa)
</td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Fecha Final Prueba de Recuperación")."&nbsp;" ?></td>
<td class="dr">
      <input readonly="true" name="fecha_fin_pr" type="text" id="fecha_fin_pr" value="<?php echo str_replace('"', '&quot;', trim($row["fecha_fin_pr"])) ?>" onClick="popUpCalendar(this, addPeriodo.fecha_fin_pr, 'dd-mm-yyyy');" size="10">&nbsp;&nbsp;(dd-mm-aaaa)
</td>
</tr>


<tr>
<td class="hr"><?php echo htmlspecialchars("Año (*)")."&nbsp;" ?></td>
<td class="dr"><input name="annio" type="text" value="<?php echo str_replace('"', '&quot;', trim($row["annio"])) ?>" size="4" maxlength="4"></td>
</tr>

</table>
<?php 
mysql_free_result($rstSedes);
} ?>

<?php function showpagenav($page, $pagecount)
{
?>
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr>
<td><a href="periodos.php?a=add">Agregar Lapso</a>&nbsp;</td>
<?php if ($page > 1) { ?>
<td><a href="periodos.php?page=<?php echo $page - 1 ?>">&lt;&lt;&nbsp;Anterior</a>&nbsp;</td>
<?php } ?>
<?php
  global $pagerange;

  if ($pagecount > 1) {

  if ($pagecount % $pagerange != 0) {
    $rangecount = intval($pagecount / $pagerange) + 1;
  }
  else {
    $rangecount = intval($pagecount / $pagerange);
  }
  for ($i = 1; $i < $rangecount + 1; $i++) {
    $startpage = (($i - 1) * $pagerange) + 1;
    $count = min($i * $pagerange, $pagecount);

    if ((($page >= $startpage) && ($page <= ($i * $pagerange)))) {
      for ($j = $startpage; $j < $count + 1; $j++) {
        if ($j == $page) {
?>
<td><b><?php echo $j ?></b></td>
<?php } else { ?>
<td><a href="periodos.php?page=<?php echo $j ?>"><?php echo $j ?></a></td>
<?php } } } else { ?>
<td><a href="periodos.php?page=<?php echo $startpage ?>"><?php echo $startpage ."..." .$count ?></a></td>
<?php } } } ?>
<?php if ($page < $pagecount) { ?>
<td>&nbsp;<a href="periodos.php?page=<?php echo $page + 1 ?>">Siguiente&nbsp;&gt;&gt;</a>&nbsp;</td>
<?php } ?>
</tr>
</table>
<?php } ?>


<?php function showrecnav($a, $recid, $count)
{
?>
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr>
<td><a href="periodos.php">Regresar</a></td>
<?php if ($recid > 0) { ?>
<td><a href="periodos.php?a=<?php echo $a ?>&recid=<?php echo $recid - 1 ?>">Anterior</a></td>
<?php } if ($recid < $count - 1) { ?>
<td><a href="periodos.php?a=<?php echo $a ?>&recid=<?php echo $recid + 1 ?>">Siguiente</a></td>
<?php } ?>
</tr>
</table>
<hr size="1" noshade>
<?php } ?>

<?php function addrec()
{
?>
<table class="bd" width="100%"><tr><td class="hr">Registrando Per&iacute;odo</td></tr></table>
<table  class="bd" width="100%"><tr><td>Los campos marcados con (*) son obligatorios </td></tr></table>
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr>
<td><a href="periodos.php">Regresar</a></td>
</tr>
</table>
<hr size="1" noshade>
<form name="addPeriodo" enctype="multipart/form-data" action="periodos.php" method="post" onSubmit="return validar_datos()">
<p><input type="hidden" name="sql" value="insert"></p>
<?php
$row = array(
  "id_periodo" => "",
  "codigo" => "",
  "descripcion" => "",
  "mes_inicio" => "",
  "mes_fin" => "",
  "fecha_ini" => "",
  "fecha_fin" => "",
  "fecha_ini_cg" => "",
  "fecha_fin_cg" => "",
  "fecha_ini_ace" => "",
  "fecha_fin_ace" => "",
  "fecha_ini_fp" => "",
  "fecha_fin_fp" => "",
  "fecha_ini_rt" => "",
  "fecha_fin_rt" => "",
  "fecha_tope_rm" => "",
  "fecha_tope_in" => "",
  "fecha_tope_corte1" => "",
  "fecha_tope_corte2" => "",
  "fecha_tope_corte3" => "",
  "fecha_tope_corte4" => "",
  "fecha_tope_rs" => "",
  "fecha_ini_pr" => "",
  "fecha_fin_pr" => "",
  "sede" => "",
  "annio" => "",
  "tipo" => "",
  "status" => "",
  "nr" => "",
  "xannio" => "",
  "letra" => "");
showrowadd($row, false);
?>
<p><input type="submit" name="action" value="Guardar"></p>
</form>
<?php } ?>

<?php function viewrec($recid)
{
?>
<table class="bd" width="100%"><tr><td class="hr">Consultando Lapso</td></tr></table>
<?php
  $res = sql_select();
  $count = sql_getrecordcount();
  mysql_data_seek($res, $recid);
  $row = mysql_fetch_assoc($res);
  showrecnav("view", $recid, $count);
?>
<br>
<?php showrow($row, $recid) ?>
<br>
<hr size="1" noshade>
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr>
<td><a href="periodos.php?a=add">Agregar Período</a></td>
<td><a href="periodos.php?a=edit&recid=<?php echo $recid ?>">Editar</a></td>
<td><a href="periodos.php?a=del&recid=<?php echo $recid ?>">Borrar</a></td>
</tr>
</table>
<?php
  mysql_free_result($res);
} ?>

<?php function editrec($recid)
{
?>
<table class="bd" width="100%"><tr><td class="hr">Editando Lapso</td></tr></table>
<?php
  $res = sql_select();
  $count = sql_getrecordcount();
  mysql_data_seek($res, $recid);
  $row = mysql_fetch_assoc($res);
  showrecnav("edit", $recid, $count);
?>
<br>
<form name="edit_periodo" enctype="multipart/form-data" action="periodos.php" method="post">
<input type="hidden" name="sql" value="update">
<input type="hidden" name="xid_periodo" value="<?php echo $row["id_periodo"] ?>">
<input type="hidden" name="xcodigo" value="<?php echo $row["codigo"] ?>">
<?php showroweditor($row, true); ?>
<p><input type="submit" name="action" value="Guardar Cambios"></p>
</form>
<?php
  mysql_free_result($res);
} ?>

<?php function deleterec($recid)
{
?>
<table class="bd" width="100%"><tr><td class="hr">Eliminando Lapso</td></tr></table>
<?php
  $res = sql_select();
  $count = sql_getrecordcount();
  mysql_data_seek($res, $recid);
  $row = mysql_fetch_assoc($res);
  showrecnav("del", $recid, $count);
?>
<br>
<form action="periodos.php" method="post">
<input type="hidden" name="sql" value="delete">
<input type="hidden" name="xid_periodo" value="<?php echo $row["id_periodo"] ?>">
<input type="hidden" name="xcodigo" value="<?php echo $row["codigo"] ?>">
<?php showrow($row, $recid) ?>
<p><input type="submit" name="action" value="Confirmar"></p>
</form>
<?php
  mysql_free_result($res);
} ?>

<?php function connect()
{
 
}


function sqlvalue($val, $quote)
{
  if ($quote)
    $tmp = sqlstr($val);
  else
    $tmp = $val;
  if ($tmp == "")
    $tmp = "NULL";
  elseif ($quote)
    $tmp = "'".$tmp."'";
  return $tmp;
}

function sqlstr($val)
{
  return str_replace("'", "''", $val);
}

function sql_select()
{
  global $conn;
  global $order;
  global $ordtype;
  global $filter;
  global $filterfield;
  global $wholeonly;

  $filterstr = sqlstr($filter);
  if (!$wholeonly && isset($wholeonly) && $filterstr!='') $filterstr = "%" .$filterstr ."%";
  $sql = "SELECT * FROM `periodos`";
  if (isset($filterstr) && $filterstr!='' && isset($filterfield) && $filterfield!='') {
    $sql .= " where " .sqlstr($filterfield) ." like '" .$filterstr ."'";
  } elseif (isset($filterstr) && $filterstr!='') {
    $sql .= " where (`id_periodo` like '" .$filterstr ."') or (`codigo` like '" .$filterstr ."') or (`descripcion` like '" .$filterstr ."') or (`mes_inicio` like '" .$filterstr ."') or (`mes_fin` like '" .$filterstr ."') or (`fecha_ini` like '" .$filterstr ."') or (`fecha_fin` like '" .$filterstr ."') or (`fecha_tope_rm` like '" .$filterstr ."') or (`fecha_tope_in` like '" .$filterstr ."') or (`fecha_tope_corte1` like '" .$filterstr ."') or (`fecha_tope_rs` like '" .$filterstr ."') or (`sede` like '" .$filterstr ."') or (`annio` like '" .$filterstr ."') or (`tipo` like '" .$filterstr ."') or (`status` like '" .$filterstr ."')";
  }
  if (isset($order) && $order!='') {
      $sql .= " order by `" .sqlstr($order) ."`";
  }
  else{
      $sql .= " order by id_periodo desc";
  }
  if (isset($ordtype) && $ordtype!='') $sql .= " " .sqlstr($ordtype);
  $res = mysql_query($sql, $conn) or die(mysql_error());
  return $res;
}

function sql_getrecordcount()
{
  global $conn;
  global $order;
  global $ordtype;
  global $filter;
  global $filterfield;
  global $wholeonly;

  $filterstr = sqlstr($filter);
  if (!$wholeonly && isset($wholeonly) && $filterstr!='') $filterstr = "%" .$filterstr ."%";
  $sql = "SELECT COUNT(*) FROM `periodos`";
  if (isset($filterstr) && $filterstr!='' && isset($filterfield) && $filterfield!='') {
    $sql .= " where " .sqlstr($filterfield) ." like '" .$filterstr ."'";
  } elseif (isset($filterstr) && $filterstr!='') {
    $sql .= " where (`id_periodo` like '" .$filterstr ."') or (`codigo` like '" .$filterstr ."') or (`descripcion` like '" .$filterstr ."') or (`mes_inicio` like '" .$filterstr ."') or (`mes_fin` like '" .$filterstr ."') or (`fecha_ini` like '" .$filterstr ."') or (`fecha_fin` like '" .$filterstr ."') or (`fecha_tope_rm` like '" .$filterstr ."') or (`fecha_tope_in` like '" .$filterstr ."') or (`fecha_tope_corte1` like '" .$filterstr ."') or (`fecha_tope_rs` like '" .$filterstr ."') or (`sede` like '" .$filterstr ."') or (`annio` like '" .$filterstr ."') or (`tipo` like '" .$filterstr ."') or (`status` like '" .$filterstr ."')";
  }
  $res = mysql_query($sql, $conn) or die(mysql_error());
  $row = mysql_fetch_assoc($res);
  reset($row);
  return current($row);
}

function sql_insert()
{
  global $conn;
  global $_POST;

  
  $codigo=  @$_POST["xannio"].'-'.@$_POST["nr"];
 
  $fecha_ini=join ("-",(array_reverse(explode("-",@$_POST["fecha_ini"]))));
  $fecha_fin=join ("-",(array_reverse(explode("-",@$_POST["fecha_fin"]))));
  
  $fecha_ini_cg=join ("-",(array_reverse(explode("-",@$_POST["fecha_ini_cg"]))));
  $fecha_fin_cg=join ("-",(array_reverse(explode("-",@$_POST["fecha_fin_cg"]))));
  $fecha_ini_ace=join ("-",(array_reverse(explode("-",@$_POST["fecha_ini_ace"]))));
  $fecha_fin_ace=join ("-",(array_reverse(explode("-",@$_POST["fecha_fin_ace"]))));
  $fecha_ini_fp=join ("-",(array_reverse(explode("-",@$_POST["fecha_ini_fp"]))));
  $fecha_fin_fp=join ("-",(array_reverse(explode("-",@$_POST["fecha_fin_fp"]))));
  $fecha_ini_rt=join ("-",(array_reverse(explode("-",@$_POST["fecha_ini_rt"]))));
  $fecha_fin_rt=join ("-",(array_reverse(explode("-",@$_POST["fecha_fin_rt"]))));
 
  $fecha_tope_rm=join ("-",(array_reverse(explode("-",@$_POST["fecha_tope_rm"]))));
  $fecha_tope_in=join ("-",(array_reverse(explode("-",@$_POST["fecha_tope_in"]))));
  $fecha_tope_corte1=join ("-",(array_reverse(explode("-",@$_POST["fecha_tope_corte1"]))));
  $fecha_tope_corte2=join ("-",(array_reverse(explode("-",@$_POST["fecha_tope_corte2"]))));
  $fecha_tope_corte3=join ("-",(array_reverse(explode("-",@$_POST["fecha_tope_corte3"]))));
  $fecha_tope_corte4=join ("-",(array_reverse(explode("-",@$_POST["fecha_tope_corte4"]))));
  $fecha_tope_rs=join ("-",(array_reverse(explode("-",@$_POST["fecha_tope_rs"]))));
  $fecha_ini_pr=join ("-",(array_reverse(explode("-",@$_POST["fecha_ini_pr"]))));
  $fecha_fin_pr=join ("-",(array_reverse(explode("-",@$_POST["fecha_fin_pr"]))));
  $descripcion=@$_POST["mes_inicio"].'-'.@$_POST["mes_fin"];
  
  $sql = "insert into `periodos` (`id_periodo`, `codigo`, `descripcion`, `mes_inicio`, `mes_fin`, `fecha_ini`, `fecha_fin`, `fecha_tope_rm`, `fecha_tope_in`, `fecha_tope_corte1`, `fecha_tope_corte2`, `fecha_tope_corte3`, `fecha_tope_corte4`, `fecha_tope_rs`, `sede`, `annio`, `tipo`, `status`, `fecha_ini_pr`, `fecha_fin_pr`, `fecha_ini_cg`, `fecha_fin_cg`, `fecha_ini_ace`, `fecha_fin_ace`, `fecha_ini_fp`, `fecha_fin_fp`, `fecha_ini_rt`, `fecha_fin_rt`) values (" .sqlvalue(@$_POST["id_periodo"], false).", '$codigo', '$descripcion', " .sqlvalue(@$_POST["mes_inicio"], true).", " .sqlvalue(@$_POST["mes_fin"], true).", '$fecha_ini', '$fecha_fin', '$fecha_tope_rm', '$fecha_tope_in', '$fecha_tope_corte1', '$fecha_tope_corte2', '$fecha_tope_corte3', '$fecha_tope_corte4', '$fecha_tope_rs', " .sqlvalue(@$_POST["sede"], true).", " .sqlvalue(@$_POST["xannio"], true).", " .sqlvalue(@$_POST["tipo"], true).", 'ABIERTO','$fecha_ini_pr','$fecha_fin_pr','$fecha_ini_cg','$fecha_fin_cg','$fecha_ini_ace','$fecha_fin_ace','$fecha_ini_fp','$fecha_fin_fp','$fecha_ini_rt','$fecha_fin_rt')";
  mysql_query($sql, $conn) or die(mysql_error());
}

function sql_update()
{
  global $conn;
  global $_POST;
  

  $fecha_ini=join ("-",(array_reverse(explode("-",@$_POST["fecha_ini"]))));
  $fecha_fin=join ("-",(array_reverse(explode("-",@$_POST["fecha_fin"]))));
  
  $fecha_ini_cg=join ("-",(array_reverse(explode("-",@$_POST["fecha_ini_cg"]))));
  $fecha_fin_cg=join ("-",(array_reverse(explode("-",@$_POST["fecha_fin_cg"]))));
  $fecha_ini_ace=join ("-",(array_reverse(explode("-",@$_POST["fecha_ini_ace"]))));
  $fecha_fin_ace=join ("-",(array_reverse(explode("-",@$_POST["fecha_fin_ace"]))));
  $fecha_ini_fp=join ("-",(array_reverse(explode("-",@$_POST["fecha_ini_fp"]))));
  $fecha_fin_fp=join ("-",(array_reverse(explode("-",@$_POST["fecha_fin_fp"]))));
  $fecha_ini_rt=join ("-",(array_reverse(explode("-",@$_POST["fecha_ini_rt"]))));
  $fecha_fin_rt=join ("-",(array_reverse(explode("-",@$_POST["fecha_fin_rt"]))));
  
  $fecha_tope_rm=join ("-",(array_reverse(explode("-",@$_POST["fecha_tope_rm"]))));
  $fecha_tope_in=join ("-",(array_reverse(explode("-",@$_POST["fecha_tope_in"]))));
  
  $fecha_tope_corte1=join ("-",(array_reverse(explode("-",@$_POST["fecha_tope_corte1"]))));
  $fecha_tope_corte2=join ("-",(array_reverse(explode("-",@$_POST["fecha_tope_corte2"]))));
  $fecha_tope_corte3=join ("-",(array_reverse(explode("-",@$_POST["fecha_tope_corte3"]))));
  $fecha_tope_corte4=join ("-",(array_reverse(explode("-",@$_POST["fecha_tope_corte4"]))));
  $fecha_tope_rs=join ("-",(array_reverse(explode("-",@$_POST["fecha_tope_rs"]))));
  $fecha_ini_pr=join ("-",(array_reverse(explode("-",@$_POST["fecha_ini_pr"]))));
  $fecha_fin_pr=join ("-",(array_reverse(explode("-",@$_POST["fecha_fin_pr"]))));
  
  $descripcion=@$_POST["mes_inicio"].'-'.@$_POST["mes_fin"];
	
  $sql = "update `periodos` set `mes_inicio`=" .sqlvalue(@$_POST["mes_inicio"], true).", `mes_fin`=" .sqlvalue(@$_POST["mes_fin"], true).", `fecha_ini`='$fecha_ini', `fecha_fin`='$fecha_fin', `fecha_tope_rm`='$fecha_tope_rm', `fecha_tope_in`='$fecha_tope_in', `fecha_tope_corte1`='$fecha_tope_corte1', `fecha_tope_corte2`='$fecha_tope_corte2', `fecha_tope_corte3`='$fecha_tope_corte3', `fecha_tope_corte4`='$fecha_tope_corte4', `fecha_tope_rs`='$fecha_tope_rs', `sede`=" .sqlvalue(@$_POST["sede"], true).", `annio`=" .sqlvalue(@$_POST["annio"], true).", `tipo`=" .sqlvalue(@$_POST["tipo"], true).", `status`=" .sqlvalue(@$_POST["status"], true) .", `fecha_ini_pr`='$fecha_ini_pr', `fecha_fin_pr`='$fecha_fin_pr', `fecha_ini_cg`='$fecha_ini_cg', `fecha_fin_cg`='$fecha_fin_cg', `fecha_ini_ace`='$fecha_ini_ace', `fecha_fin_ace`='$fecha_fin_ace', `fecha_ini_fp`='$fecha_ini_fp', `fecha_fin_fp`='$fecha_fin_fp', `fecha_ini_rt`='$fecha_ini_rt', `fecha_fin_rt`='$fecha_fin_rt' where " .primarykeycondition();
  mysql_query($sql, $conn) or die(mysql_error());
}

function sql_delete()
{
  global $conn;
  $id_periodo=$_POST["xis_periodo"];
  mysql_select_db($database_conn, $conn);
  $sql = "SELECT * FROM historico_notas WHERE periodo='$codigo'";
  $rs=mysql_query($sql, $conn);
  $reg=mysql_num_rows($rs);
  if ($reg != 0) {
	    ?>
	     <script type="text/javascript">
	        msj="Período " +'<<<?php echo $codigo; ?>>>'+" no se puede borrar.\nTiene calificaciones registradas."
	 	    alert(msj);
	     </script>
	 <?php
	 }
	 else {
		  $sql = "delete from `periodos` where " .primarykeycondition();
		  mysql_query($sql, $conn) or die(mysql_error());
	}	  
}

function primarykeycondition()
{
  global $_POST;
  $pk = "";
  $pk .= "(`id_periodo`";
  if (@$_POST["xid_periodo"] == "") {
    $pk .= " IS NULL";
  }else{
  $pk .= " = " .sqlvalue(@$_POST["xid_periodo"], false);
  };
  $pk .= ") and ";
  $pk .= "(`codigo`";
  if (@$_POST["xcodigo"] == "") {
    $pk .= " IS NULL";
  }else{
  $pk .= " = " .sqlvalue(@$_POST["xcodigo"], true);
  };
  $pk .= ")";
  return $pk;
}

function obtener_ip()
  {
 if ($_SERVER) {  
    if ( $_SERVER[HTTP_X_FORWARDED_FOR] ) {  
    $realip = $_SERVER["HTTP_X_FORWARDED_FOR"];  
   } elseif ( $_SERVER["HTTP_CLIENT_IP"] ) {  
$realip = $_SERVER["HTTP_CLIENT_IP"];  
} else  {  
$realip = $_SERVER["REMOTE_ADDR"];  
}  
} else {  
if ( getenv( 'HTTP_X_FORWARDED_FOR' ) ) {  
$realip = getenv( 'HTTP_X_FORWARDED_FOR' );  
} elseif ( getenv( 'HTTP_CLIENT_IP' ) ) {  
$realip = getenv( 'HTTP_CLIENT_IP' );  
} else {  
$realip = getenv( 'REMOTE_ADDR' );  
}  
}  
return $realip;  
  }
 ?>
 
 <script type="text/javascript">
	var nav4 = window.Event ? true : false;
	function soloNum(evt)
	{	
	// NOTE: Backspace = 8, Enter = 13, '0' = 48, '9' = 57, ','= 44, '.'= 46
		var key = nav4 ? evt.which : evt.keyCode;	
		//var str=obj.value;
	
		return (key == 8 || key == 13 || (key >= 48 && key <= 57));
	}
	
	function validar_datos()
	{
	 	if(document.addPeriodo.sede.value==0){
			alert("El campo <<Sede>> es obligatorio");
			document.addPeriodo.sede.focus();
			return false;
			}
		if(document.addPeriodo.tipo.value==0){
			alert("El campo <<Tipo de Periodo>> es obligatorio");
			document.addPeriodo.tipo.focus();
			return false;
			}
		if(document.addPeriodo.xannio.value==""){
			alert("El campo <<Descripción>> es obligatorio");
			document.addPeriodo.xannio.focus();
			return false;
			}	
		if(document.addPeriodo.mes_inicio.value==0){
			alert("El campo <<Mes de Inicio>> es obligatorio");
			document.addPeriodo.mes_inicio.focus();
			return false;
			}
		if(document.addPeriodo.mes_fin.value==0){
			alert("El campo <<Mes de Finalización>> es obligatorio");
			document.addPeriodo.mes_fin.focus();
			return false;
			}		
		if(document.addPeriodo.fecha_ini.value==""){
			alert("El campo <<Fecha de Inicio>> es obligatorio");
			document.addPeriodo.fecha_ini.focus();
			return false;
			}
		if(document.addPeriodo.fecha_fin.value==""){
			alert("El campo <<Fecha de Finalización>> es obligatorio");
			document.addPeriodo.sede.focus();
			return false;
			}	
		if(document.addPeriodo.annio.value==""){
			alert("El campo <<Año>> es obligatorio");
			document.addPeriodo.annio.focus();
			return false;
			}	
		if(document.addPeriodo.status.value==0){
			alert("El campo <<Status>> es obligatorio");
			document.addPeriodo.status.focus();
			return false;
			}	
			return true;
	}
	
	function verificar_periodo(tipo,nr,letra,cod)
	{
	   codigo=nr+cod;
	   url="validar_periodo.php?codigo="+codigo+"&tipo="+tipo;
	   framePeriodo.location=url;
	}
</script>

<script>
function esFechaValida(fecha){
    if (fecha != undefined && fecha != "" ){
       
    	var dia  =  parseInt(fecha.substring(0,2),10);
		var mes  =  parseInt(fecha.substring(3,5),10);
		var anio =  parseInt(fecha.substring(6,10),10);
	
		if (isNaN(dia) || isNaN(mes) || isNaN(anio)) {
		   alert("Formato de fecha no v�lido");
		   document.addAlumno.fechanac.focus();
       return false;
	 }
	
    switch(mes){
        case 1:
			numDias=31;
            break;
        case 3:
			numDias=31;
            break;
        case 5:
			numDias=31;
            break;
        case 7:
			numDias=31;
            break;
        case 8: 
			numDias=31;
            break;
        case 10:
			numDias=31;
            break;
        case 12:
            numDias=31;
            break;
        case 4: case 6: case 9: case 11:
            numDias=30;
            break;
        case 2:
           if (comprobarSiBisisesto(anio)){ numDias=29 }else{ numDias=28};
            break;
        default:
            alert("Error en fecha introducida (Mes Inválido)");
		
            return false;
    }
 
        if (dia>numDias || dia==0){
            alert("Error en fecha introducida (Día Inválido)");
        
			return false;
        }
        return true;
    }
}
 
function comprobarSiBisisesto(anio){
if ( ( anio % 100 != 0) && ((anio % 4 == 0) || (anio % 400 == 0))) {
    return true;
    }
else {
    return false;
    }
}
</script>

<script type="text/javascript">
var patron = new Array(2,2,4)
var patron1= new Array(1,2)
var patron2 = new Array(1,3,3,3,3)
function mascara(d,sep,pat,nums){
if(d.valant != d.value){
	val = d.value
	largo = val.length
	val = val.split(sep)
	val2 = ''
	for(r=0;r<val.length;r++){
		val2 += val[r]	
	}
	if(nums){
		for(z=0;z<val2.length;z++){
			if(isNaN(val2.charAt(z))){
				letra = new RegExp(val2.charAt(z),"g")
				val2 = val2.replace(letra,"")
			}
		}
	}
	val = ''
	val3 = new Array()
	for(s=0; s<pat.length; s++){
		val3[s] = val2.substring(0,pat[s])
		val2 = val2.substr(pat[s])
	}
	for(q=0;q<val3.length; q++){
		if(q ==0){
			val = val3[q]
		}
		else{
			if(val3[q] != ""){
				val += sep + val3[q]
				}
		}
	}
	d.value = val
	d.valant = val
	}
}
</script>


